package eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.common;

import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.IRestriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.Restriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.RestrictionData;

import javax.xml.transform.OutputKeys;

public class MinimalPlayeramountGameRestriction implements IRestriction {
    private int min;

    public MinimalPlayeramountGameRestriction(int min) {
        this.min = min;
    }

    @Override
    public Restriction calculate(RestrictionData data) {
        return new Restriction(
                "Minimal players",
                "minimal Players needed",
                null,
                data.getRoom().getAllMembers().size() < this.min ? Restriction.Type.FAIL : Restriction.Type.OK
        );
    }
}
